Get resource state

gethttps://app.mk.io/api/v1/projects/:project_name/media/streamingEndpoints/:endpoint_name/state

Get the internal state of the resource. The state value depends on the resource type. For details about the potential states for each resource type, see our resource state docs.

RBAC Capability Required: ams.streamingendpoint.get

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
endpoint_namestringRequired

Response

200OK

Loading schema details…

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…